ilookup
Prev | Inode Handling | Next

## Name

ilookup — search for an inode in the inode cache

## Synopsis

`struct inode * ilookup (` | struct super_block * | sb,
| unsigned long | ino`)`;

## Arguments

`sb`

  super block of file system to search

`ino`

  inode number to search for

## Description

`ilookup` uses `ifind_fast` to search for the inode `ino` in the inode cache. This is for file systems where the inode number is sufficient for unique identification of an inode.

If the inode is in the cache, the inode is returned with an incremented reference count.

Otherwise NULL is returned.

Prev | Up | Next
ilookup5 | Home | iget5_locked